#include <AFMotor.h>
AF_DCMotor motor(4); // Motor 4 ist nur angeschlossen

#define Taste1 18  //Analogpin A4 als Digital-Pin
#define Taste2 19  //Analogpin A5 als Digital-Pin
#define MinMSp 100 //Startwert für die kleinste Motorgeschwindigkeit

int T1;            //Momentaner Wert der Taste1
int T2;            //Momentaner Wert der Taste2
bool CCW = true;   //Merker für Drehrichtung des Motors - true = rückwärts
bool MSD = true;   //Merker für die Motorgeschwindigkeitsrichtung - true = ansteigend
bool Motor_AUS = true;
int MS;            //Momentaner Wert für die Motorgeschwindigkeit


void setup() {
  //Motor Library initialisieren
  motor.setSpeed(200);
  motor.run(RELEASE);
  //Taster- Eingang initialisieren
  pinMode(Taste1, INPUT);
  pinMode(Taste2, INPUT);
  MS = MinMSp;
}

void loop() {
  T1 = digitalRead(Taste1);
  T2 = digitalRead(Taste2);

  if (T1 == 1 && T2 == 1) {
    // nichts tun
    //Serial.println("T1=1 T2=1");
  }
  if (T1 == 0 && T2 == 1) {
    // Motordrehrichtung ändern
    if (CCW == true) {
      CCW = false;
      motor.run(FORWARD);
    }
    else {
      CCW = true;
      motor.run(BACKWARD);
    }
  };

  if (T1 == 1 && T2 == 0) {
    // Motorgeschwindigkeit erhöhen
 
    if (MSD == true) {
      MS = MS + 5;
      if (MS > 255) {
        MSD = false;
        MS = 255;
      }
    };
    if (MSD == false) {
      MS = MS - 5;
      if (MS < MinMSp) {
        MSD = true;
        MS = MinMSp;
      }
    }
  };

  if (T1 == 0 && T2 == 0) {
    // Motor an- oder ausschalten

    if (Motor_AUS == true) {
      Motor_AUS = false;

    }
    else {
      Motor_AUS = true;
      motor.run(RELEASE);
    }

  };

  motor.setSpeed(MS);

  delay(500);       // Eine halbe Sekunde Pause

}
